      function getvalue(char_string,n)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      character char_string(n)

      rewind 77
      write(77,*) char_string

      rewind 77
      read(77,*) getvalue

      return
      end
